// Vertex Shader  file "bulletDebug.vert"

#version 130

in  vec3 in_Position;
in  vec3 in_Color;

out vec3 ex_Color;

uniform mat4 projectionMatrix;
uniform mat4 viewMatrix;
//uniform mat4 modelMatrix;

void main(void)
{
	gl_Position = projectionMatrix * viewMatrix * vec4(in_Position, 1.0);
	ex_Color = in_Color;
}
