// Fragment Shader  file "post_vignette.frag"

#version 130

precision highp float; // needed only for version 1.30

in	vec2 ex_TexCoord0;
out vec4 out_Color;

uniform sampler2D sTex0;


void main(void)
{
	float attenuation = 2.5;
	float power = 4;
	
	float delta = distance(vec2(0.5, 0.5), ex_TexCoord0);
	float darkening = 1 - pow(delta, power) * attenuation;
	
	out_Color = texture2D(sTex0, ex_TexCoord0) * darkening;
	out_Color.a = 1.0;
}