// Fragment Shader  file "shadowmap.frag"

#version 130


precision highp float; // needed only for version 1.30

out vec4 out_Color;

in vec4 fragmentPos;

void main(void)
{
	float depth = fragmentPos.z/fragmentPos.w;
	//out_Color = vec4(depth, depth*depth, depth, 1.0);
	out_Color = vec4(depth, depth, depth, 1.0);

	// only the depth value is needed, so the color does not matter
	//out_Color = 1.0;
}
