//Vertex Shader  file "font.vert"
# version 130 

//precision highp float; // needed only for version 1.30

in vec3 in_Position;
in vec2 in_TexCoord0;
out vec2 ex_TexCoord0;

uniform mat4 translationMatrix;

void main(void){
	gl_Position = translationMatrix * vec4(in_Position, 1.0);
	ex_TexCoord0 = in_TexCoord0;
}