// Fragment Shader  file "skybox.frag"

#version 130

precision highp float; // needed only for version 1.30

in vec2 ex_TexCoord0;
in vec3 ex_Normal;

out vec4 out_Color;

uniform sampler2D sTex0;


void main(void)
{

	vec3 normal = normalize(ex_Normal);
	
	out_Color = texture2D(sTex0, ex_TexCoord0) * 1.2 + 0.2;

}
